complexType "Underlyer"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | singleUnderlyer? | basket?
</...>

Content Model Elements (2):

  basket (defined in Underlyer complexType), | singleUnderlyer

All Direct / Indirect Based Elements (4):

  fallbackReferencePrice, underlyer (defined in DirectionalLegUnderlyer complexType), | underlyer (defined in EquityDerivativeBase complexType), underlyer (in returnLeg)

Known Usage Locations

- As direct type of elements (4):

  fallbackReferencePrice, underlyer (defined in DirectionalLegUnderlyer complexType), | underlyer (defined in EquityDerivativeBase complexType), underlyer (in returnLeg)

Annotation
A type describing the whole set of possible underlyers: single underlyers or multiple underlyers, each of these having either security or index components.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Underlyer"> <xsd:choice> <xsd:element minOccurs="0" name="singleUnderlyer" type="SingleUnderlyer"/> <xsd:element minOccurs="0" name="basket" type="Basket"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
basket

  Type: | Basket, complex content

  Describes the swap's underlyer when it has multiple asset components.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basket" type="Basket"/>

singleUnderlyer

  Type: | SingleUnderlyer, complex content

  Describes the swap's underlyer when it has only one asset component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="singleUnderlyer" type="SingleUnderlyer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.